import os

from qtpyvcp.widgets.form_widgets.main_window import VCPMainWindow

# Load in the methods needed to load and run a ngc prog
from qtpyvcp.actions.program_actions import load, run
from qtpyvcp.utilities.info import Info


# Setup logging
from qtpyvcp.utilities import logger
LOG = logger.getLogger('qtpyvcp.' + __name__)

class MyMainWindow(VCPMainWindow):
    """Main window class for the VCP."""
    def __init__(self, *args, **kwargs):
        super(MyMainWindow, self).__init__(*args, **kwargs)

	# add custom signal connections here
	self.btn_loadrun.clicked.connect(self.load_then_run)

    # add any custom methods here
    def load_then_run(self):
        # now we load the prog
        print "btn run and load clicked"
        info = Info()
        nc_files_dir = info.getProgramPrefix()
        path = os.path.expanduser(nc_files_dir)
        load(path + "/axis.ngc")
        run()
